Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.lang.jstl
Class ImplicitObjects

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.ImplicitObjects

    public class ImplicitObjects

extends Object

This class is used to generate the implicit Map and List objects that wrap various elements of the PageContext. It also returns the correct implicit object for a given implicit object name.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`ImplicitObjects(PageContext pContext)` Constructor

Method Summary
`static Map` | `createApplicationScopeMap(PageContext pContext)` Creates the Map that "wraps" application-scoped attributes
`static Map` | `createCookieMap(PageContext pContext)` Creates the Map that maps cookie name to the first matching Cookie in request.getCookies().
`static Map` | `createHeaderMap(PageContext pContext)` Creates the Map that maps header name to single header value.
`static Map` | `createHeadersMap(PageContext pContext)` Creates the Map that maps header name to an array of header values.
`static Map` | `createInitParamMap(PageContext pContext)` Creates the Map that maps init parameter name to single init parameter value.
`static Map` | `createPageScopeMap(PageContext pContext)` Creates the Map that "wraps" page-scoped attributes
`static Map` | `createParamMap(PageContext pContext)` Creates the Map that maps parameter name to single parameter value.
`static Map` | `createParamsMap(PageContext pContext)` Creates the Map that maps parameter name to an array of parameter values.
`static Map` | `createRequestScopeMap(PageContext pContext)` Creates the Map that "wraps" request-scoped attributes
`static Map` | `createSessionScopeMap(PageContext pContext)` Creates the Map that "wraps" session-scoped attributes
`Map` | `getApplicationScopeMap()` Returns the Map that "wraps" application-scoped attributes
`Map` | `getCookieMap()` Returns the Map that maps cookie name to the first matching Cookie in request.getCookies().
`Map` | `getHeaderMap()` Returns the Map that maps header name to a single header values.
`Map` | `getHeadersMap()` Returns the Map that maps header name to an array of header values.
`static ImplicitObjects` | `getImplicitObjects(PageContext pContext)` Finds the ImplicitObjects associated with the PageContext, creating it if it doesn't yet exist.
`Map` | `getInitParamMap()` Returns the Map that maps init parameter name to a single init parameter values.
`Map` | `getPageScopeMap()` Returns the Map that "wraps" page-scoped attributes
`Map` | `getParamMap()` Returns the Map that maps parameter name to a single parameter values.
`Map` | `getParamsMap()` Returns the Map that maps parameter name to an array of parameter values.
`Map` | `getRequestScopeMap()` Returns the Map that "wraps" request-scoped attributes
`Map` | `getSessionScopeMap()` Returns the Map that "wraps" session-scoped attributes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplicitObjects

    public ImplicitObjects(PageContext pContext)

  Constructor

Method Detail

### getImplicitObjects

    public static ImplicitObjects getImplicitObjects(PageContext pContext)

  Finds the ImplicitObjects associated with the PageContext, creating it if it doesn't yet exist.

### getPageScopeMap

    public Map getPageScopeMap()

  Returns the Map that "wraps" page-scoped attributes

### getRequestScopeMap

    public Map getRequestScopeMap()

  Returns the Map that "wraps" request-scoped attributes

### getSessionScopeMap

    public Map getSessionScopeMap()

  Returns the Map that "wraps" session-scoped attributes

### getApplicationScopeMap

    public Map getApplicationScopeMap()

  Returns the Map that "wraps" application-scoped attributes

### getParamMap

    public Map getParamMap()

  Returns the Map that maps parameter name to a single parameter values.

### getParamsMap

    public Map getParamsMap()

  Returns the Map that maps parameter name to an array of parameter values.

### getHeaderMap

    public Map getHeaderMap()

  Returns the Map that maps header name to a single header values.

### getHeadersMap

    public Map getHeadersMap()

  Returns the Map that maps header name to an array of header values.

### getInitParamMap

    public Map getInitParamMap()

  Returns the Map that maps init parameter name to a single init parameter values.

### getCookieMap

    public Map getCookieMap()

  Returns the Map that maps cookie name to the first matching Cookie in request.getCookies().

### createPageScopeMap

    public static Map createPageScopeMap(PageContext pContext)

  Creates the Map that "wraps" page-scoped attributes

### createRequestScopeMap

    public static Map createRequestScopeMap(PageContext pContext)

  Creates the Map that "wraps" request-scoped attributes

### createSessionScopeMap

    public static Map createSessionScopeMap(PageContext pContext)

  Creates the Map that "wraps" session-scoped attributes

### createApplicationScopeMap

    public static Map createApplicationScopeMap(PageContext pContext)

  Creates the Map that "wraps" application-scoped attributes

### createParamMap

    public static Map createParamMap(PageContext pContext)

  Creates the Map that maps parameter name to single parameter value.

### createParamsMap

    public static Map createParamsMap(PageContext pContext)

  Creates the Map that maps parameter name to an array of parameter values.

### createHeaderMap

    public static Map createHeaderMap(PageContext pContext)

  Creates the Map that maps header name to single header value.

### createHeadersMap

    public static Map createHeadersMap(PageContext pContext)

  Creates the Map that maps header name to an array of header values.

### createInitParamMap

    public static Map createInitParamMap(PageContext pContext)

  Creates the Map that maps init parameter name to single init parameter value.

### createCookieMap

    public static Map createCookieMap(PageContext pContext)

  Creates the Map that maps cookie name to the first matching Cookie in request.getCookies().

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.